Bug 279304 - Amarok crashes
Summary: Amarok crashes
Status: RESOLVED DUPLICATE of bug 263256
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.4.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.5
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-03 16:19 UTC by Volleybal4life
Modified: 2011-09-26 11:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Volleybal4life 2011-08-03 16:19:08 UTC
Application: amarok (2.4.0)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-10-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
I don't really know what happens, Amarok just crashes every time.

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f36dac3a860 (LWP 5322))]

Thread 16 (Thread 0x7f36b566f700 (LWP 5327)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f36b566e940 in ?? ()
#2  0x00007fff49d007b2 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 15 (Thread 0x7f36a583b700 (LWP 5328)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36b6fc43d5 in gst_queue_chain (pad=<value optimized out>, buffer=0x19ab040) at gstqueue.c:995
#2  0x00007f36be08d9c4 in gst_pad_push (pad=0x17ad570, buffer=0x19ab040) at gstpad.c:4665
#3  0x00007f36be08d9c4 in gst_pad_push (pad=0x1784ab0, buffer=0x19ab040) at gstpad.c:4665
#4  0x00007f36b6fcf23d in gst_tee_do_push (tee=0xb84720, data=0x19ab040, is_list=0) at gsttee.c:671
#5  gst_tee_handle_data (tee=0xb84720, data=0x19ab040, is_list=0) at gsttee.c:750
#6  0x00007f36b6fcf69f in gst_tee_chain (pad=<value optimized out>, buffer=0x19ab040) at gsttee.c:824
#7  0x00007f36be08d9c4 in gst_pad_push (pad=0xda9700, buffer=0x19ab040) at gstpad.c:4665
#8  0x00007f36be08d9c4 in gst_pad_push (pad=0xdae3b0, buffer=0x19ab040) at gstpad.c:4665
#9  0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#10 0x00007f36be08d9c4 in gst_pad_push (pad=0xdae9b0, buffer=0x19ab040) at gstpad.c:4665
#11 0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#12 0x00007f36be08d9c4 in gst_pad_push (pad=0xdae6b0, buffer=0x19ab040) at gstpad.c:4665
#13 0x00007f36b6fc5325 in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1137
#14 gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1245
#15 0x00007f36be0b3f20 in gst_task_func (task=0x17d7eb0) at gsttask.c:318
#16 0x00007f36d1d3eb16 in g_thread_pool_thread_proxy (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#17 0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x9f5f20) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#18 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#19 0x00007f36d3113d8c in start_thread (arg=0x7f36a583b700) at pthread_create.c:304
#20 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#21 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f36a503a700 (LWP 5329)):
#0  0x00007f36d7648f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f36d1d15104 in g_main_context_poll (context=0x14a4b80, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x14a4b80, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f36d1d159f2 in g_main_loop_run (loop=0x14e1150) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3299
#4  0x00007f36c95c6c44 in gdbus_shared_thread_func (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./gio/gdbusprivate.c:276
#5  0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x7f36b0015720) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#6  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#7  0x00007f36d3113d8c in start_thread (arg=0x7f36a503a700) at pthread_create.c:304
#8  0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#9  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f36a2c17700 (LWP 5330)):
#0  0x00007f36d7648f03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f36d1d15104 in g_main_context_poll (context=0x1591430, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3404
#2  g_main_context_iterate (context=0x1591430, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3086
#3  0x00007f36d1d15639 in g_main_context_iteration (context=0x1591430, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#4  0x00007f36d7fa6446 in QEventDispatcherGlib::processEvents (this=0x1592730, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f36d7f7a882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f36d7f7aabc in QEventLoop::exec (this=0x7f36a2c16c30, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f36d7e91924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x00007f36d7f5cc2f in QInotifyFileSystemWatcherEngine::run (this=0x15905b0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f36d7e94175 in QThreadPrivate::start (arg=0x15905b0) at thread/qthread_unix.cpp:320
#10 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#11 0x00007f36d3113d8c in start_thread (arg=0x7f36a2c17700) at pthread_create.c:304
#12 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f36a21f9700 (LWP 5331)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36d7e9482b in wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f36d50c50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x16c7fc0, th=0x16c87e0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f36d50c7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x16c87e0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f36d50c653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f36a21f8c80, parent=0x16c7fc0, th=0x16c87e0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f36d50c65cb in ThreadWeaver::Thread::run (this=0x16c87e0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f36d7e94175 in QThreadPrivate::start (arg=0x16c87e0) at thread/qthread_unix.cpp:320
#8  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f36d3113d8c in start_thread (arg=0x7f36a21f9700) at pthread_create.c:304
#10 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f36a17ed700 (LWP 5332)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36d7e9482b in wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f36d50c50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x16c7fc0, th=0x163f4c0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f36d50c7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x163f4c0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f36d50c653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f36a17ecc80, parent=0x16c7fc0, th=0x163f4c0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f36d50c65cb in ThreadWeaver::Thread::run (this=0x163f4c0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f36d7e94175 in QThreadPrivate::start (arg=0x163f4c0) at thread/qthread_unix.cpp:320
#8  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f36d3113d8c in start_thread (arg=0x7f36a17ed700) at pthread_create.c:304
#10 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7f36a0fec700 (LWP 5333)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36d7e9482b in wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f36d50c50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x16c7fc0, th=0x1650de0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f36d50c7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x1650de0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f36d50c653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f36a0febc80, parent=0x16c7fc0, th=0x1650de0) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007f36d50c65cb in ThreadWeaver::Thread::run (this=0x1650de0) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007f36d7e94175 in QThreadPrivate::start (arg=0x1650de0) at thread/qthread_unix.cpp:320
#8  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#9  0x00007f36d3113d8c in start_thread (arg=0x7f36a0fec700) at pthread_create.c:304
#10 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f36a07eb700 (LWP 5334)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36d7e9482b in wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x16c83b0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f36d50c50b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x16c7fc0, th=0x1651d40) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f36d50c7723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x1651d40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f36d50c773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x1651d40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f36d50c773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x1651d40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f36d50c773c in ThreadWeaver::WorkingHardState::applyForWork (this=0x15e6f80, th=0x1651d40) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f36d50c653f in ThreadWeaver::ThreadRunHelper::run (this=0x7f36a07eac80, parent=0x16c7fc0, th=0x1651d40) at ../../../threadweaver/Weaver/Thread.cpp:87
#9  0x00007f36d50c65cb in ThreadWeaver::Thread::run (this=0x1651d40) at ../../../threadweaver/Weaver/Thread.cpp:142
#10 0x00007f36d7e94175 in QThreadPrivate::start (arg=0x1651d40) at thread/qthread_unix.cpp:320
#11 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#12 0x00007f36d3113d8c in start_thread (arg=0x7f36a07eb700) at pthread_create.c:304
#13 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#14 0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f369f9b1700 (LWP 5335)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36ce4a9832 in scavengerThread (context=0x7f36cecd0f00) at wtf/FastMalloc.cpp:2378
#2  WTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f36cecd0f00) at wtf/FastMalloc.cpp:1497
#3  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f36d3113d8c in start_thread (arg=0x7f369f9b1700) at pthread_create.c:304
#5  0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f369caa1700 (LWP 5338)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36b6fc43d5 in gst_queue_chain (pad=<value optimized out>, buffer=0x7f36b01c4d80) at gstqueue.c:995
#2  0x00007f36be08d9c4 in gst_pad_push (pad=0xa6c3b0, buffer=0x7f36b01c4d80) at gstpad.c:4665
#3  0x00007f36be08d9c4 in gst_pad_push (pad=0x17d9d80, buffer=0x7f36b01c4d80) at gstpad.c:4665
#4  0x00007f36b6fcf69f in gst_tee_chain (pad=<value optimized out>, buffer=0x7f36b01c4d80) at gsttee.c:824
#5  0x00007f36be08d9c4 in gst_pad_push (pad=0xda9a80, buffer=0x7f36b01c4d80) at gstpad.c:4665
#6  0x00007f36be08d9c4 in gst_pad_push (pad=0x1784db0, buffer=0x7f36b01c4d80) at gstpad.c:4665
#7  0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#8  0x00007f36be08d9c4 in gst_pad_push (pad=0x17d9780, buffer=0x7f36b01c4d80) at gstpad.c:4665
#9  0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#10 0x00007f36be08d9c4 in gst_pad_push (pad=0x17d9480, buffer=0x7f36b01c4d80) at gstpad.c:4665
#11 0x00007f36b6fc5325 in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1137
#12 gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1245
#13 0x00007f36be0b3f20 in gst_task_func (task=0x17d7db0) at gsttask.c:318
#14 0x00007f36d1d3eb16 in g_thread_pool_thread_proxy (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#15 0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x16e7d70) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#16 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#17 0x00007f36d3113d8c in start_thread (arg=0x7f369caa1700) at pthread_create.c:304
#18 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#19 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f369c2a0700 (LWP 5339)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36bde051af in gst_base_sink_wait_preroll (sink=0xce03d0) at gstbasesink.c:2183
#2  0x00007f36bde0532d in gst_base_sink_do_preroll (sink=0xce03d0, obj=0x1870e20) at gstbasesink.c:2260
#3  0x00007f36bde06e76 in gst_base_sink_do_sync (basesink=0xce03d0, obj_type=<value optimized out>, obj=0x1870e20, pad=<value optimized out>) at gstbasesink.c:2425
#4  gst_base_sink_render_object (basesink=0xce03d0, obj_type=<value optimized out>, obj=0x1870e20, pad=<value optimized out>) at gstbasesink.c:2839
#5  0x00007f36bde0907f in gst_base_sink_queue_object_unlocked (basesink=0xce03d0, obj_type=2 '\002', obj=0x1870e20, prerollable=<value optimized out>, pad=<value optimized out>) at gstbasesink.c:3156
#6  0x00007f36bde093d7 in gst_base_sink_chain_unlocked (basesink=0xce03d0, obj_type=2 '\002', obj=0x1870e20, pad=<value optimized out>) at gstbasesink.c:3531
#7  0x00007f36bde097cf in gst_base_sink_chain_main (basesink=0xce03d0, pad=0xb9e020, obj_type=2 '\002', obj=0x1870e20) at gstbasesink.c:3569
#8  0x00007f36be08a2f4 in gst_pad_chain_data_unchecked (pad=0xb9e020, is_buffer=1, data=0x1870e20, cache=0x7f369c29f5d0) at gstpad.c:4231
#9  0x00007f36be08ab23 in gst_pad_push_data (pad=0xb9e620, is_buffer=1, data=0x1870e20, cache=0x7f369c29f5d0) at gstpad.c:4463
#10 0x00007f36be08d919 in gst_pad_push (pad=0xb9e620, buffer=0x1870e20) at gstpad.c:4685
#11 0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#12 0x00007f36be08a2f4 in gst_pad_chain_data_unchecked (pad=0xb9e1a0, is_buffer=1, data=0x1870e20, cache=0x7f369c29f760) at gstpad.c:4231
#13 0x00007f36be08ab23 in gst_pad_push_data (pad=0xb9ec20, is_buffer=1, data=0x1870e20, cache=0x7f369c29f760) at gstpad.c:4463
#14 0x00007f36be08d919 in gst_pad_push (pad=0xb9ec20, buffer=0x1870e20) at gstpad.c:4685
#15 0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#16 0x00007f36be08a2f4 in gst_pad_chain_data_unchecked (pad=0xb9eaa0, is_buffer=1, data=0x1870e20, cache=0x7f369c29f8f0) at gstpad.c:4231
#17 0x00007f36be08ab23 in gst_pad_push_data (pad=0xb9e320, is_buffer=1, data=0x1870e20, cache=0x7f369c29f8f0) at gstpad.c:4463
#18 0x00007f36be08d919 in gst_pad_push (pad=0xb9e320, buffer=0x1870e20) at gstpad.c:4685
#19 0x00007f36bde16826 in gst_base_transform_chain (pad=<value optimized out>, buffer=<value optimized out>) at gstbasetransform.c:2383
#20 0x00007f36be08a2f4 in gst_pad_chain_data_unchecked (pad=0xb9e4a0, is_buffer=1, data=0x1870e20, cache=0x7f369c29fa80) at gstpad.c:4231
#21 0x00007f36be08ab23 in gst_pad_push_data (pad=0xb9e920, is_buffer=1, data=0x1870e20, cache=0x7f369c29fa80) at gstpad.c:4463
#22 0x00007f36be08d919 in gst_pad_push (pad=0xb9e920, buffer=0x1870e20) at gstpad.c:4685
#23 0x00007f36b6fc5325 in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1137
#24 gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1245
#25 0x00007f36be0b3f20 in gst_task_func (task=0x17d7cb0) at gsttask.c:318
#26 0x00007f36d1d3eb16 in g_thread_pool_thread_proxy (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#27 0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x1839790) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#28 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#29 0x00007f36d3113d8c in start_thread (arg=0x7f369c2a0700) at pthread_create.c:304
#30 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#31 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f369ba9f700 (LWP 5340)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36b6fc43d5 in gst_queue_chain (pad=<value optimized out>, buffer=0x7f36b01b6640) at gstqueue.c:995
#2  0x00007f36be08d9c4 in gst_pad_push (pad=0xa6c050, buffer=0x7f36b01b6640) at gstpad.c:4665
#3  0x00007f36be08d9c4 in gst_pad_push (pad=0x21fb410, buffer=0x7f36b01b6640) at gstpad.c:4665
#4  0x00007f36be08d9c4 in gst_pad_push (pad=0x212be00, buffer=0x7f36b01b6640) at gstpad.c:4665
#5  0x00007f369cd34c9c in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#6  0x00007f369cd35b7f in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#7  0x00007f36be08d9c4 in gst_pad_push (pad=0x212b800, buffer=0x7f36b01c4980) at gstpad.c:4665
#8  0x00007f369d17c4bf in ?? () from /usr/lib/gstreamer-0.10/libgstaudioparsersbad.so
#9  0x00007f369d17d019 in ?? () from /usr/lib/gstreamer-0.10/libgstaudioparsersbad.so
#10 0x00007f369d17f407 in ?? () from /usr/lib/gstreamer-0.10/libgstaudioparsersbad.so
#11 0x00007f36be0b3f20 in gst_task_func (task=0x17d70b0) at gsttask.c:318
#12 0x00007f36d1d3eb16 in g_thread_pool_thread_proxy (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#13 0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x1839d80) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#14 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#15 0x00007f36d3113d8c in start_thread (arg=0x7f369ba9f700) at pthread_create.c:304
#16 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#17 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f369b29e700 (LWP 5341)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36d3a0f2a2 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x7f36d3d28180) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x00007f36d3a0f2d9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x7f36d3d36254) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#4  0x00007f36d3113d8c in start_thread (arg=0x7f369b29e700) at pthread_create.c:304
#5  0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f36978bf700 (LWP 5343)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f36b6fc43d5 in gst_queue_chain (pad=<value optimized out>, buffer=0x18e0c20) at gstqueue.c:995
#2  0x00007f36be08d9c4 in gst_pad_push (pad=0xda88c0, buffer=0x18e0c20) at gstpad.c:4665
#3  0x00007f36be08d9c4 in gst_pad_push (pad=0xdaeb30, buffer=0x18e0c20) at gstpad.c:4665
#4  0x00007f36b6fcf23d in gst_tee_do_push (tee=0xb84260, data=0x18e0c20, is_list=0) at gsttee.c:671
#5  gst_tee_handle_data (tee=0xb84260, data=0x18e0c20, is_list=0) at gsttee.c:750
#6  0x00007f36b6fcf69f in gst_tee_chain (pad=<value optimized out>, buffer=0x18e0c20) at gsttee.c:824
#7  0x00007f36be08d9c4 in gst_pad_push (pad=0xd96970, buffer=0x18e0c20) at gstpad.c:4665
#8  0x00007f36b6fc5325 in gst_queue_push_one (pad=<value optimized out>) at gstqueue.c:1137
#9  gst_queue_loop (pad=<value optimized out>) at gstqueue.c:1245
#10 0x00007f36be0b3f20 in gst_task_func (task=0x220a0a0) at gsttask.c:318
#11 0x00007f36d1d3eb16 in g_thread_pool_thread_proxy (data=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gthreadpool.c:319
#12 0x00007f36d1d3c3e4 in g_thread_create_proxy (data=0x7f36b0015530) at /build/buildd/glib2.0-2.28.6/./glib/gthread.c:1897
#13 0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#14 0x00007f36d3113d8c in start_thread (arg=0x7f36978bf700) at pthread_create.c:304
#15 0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#16 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f36b8080700 (LWP 5353)):
#0  0x00007f36d7648f17 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:89
#1  0x00007f36cef2432f in poll_func (ufds=0x1d0d790, nfds=1, timeout=-1, userdata=0x1d0b240) at pulse/thread-mainloop.c:75
#2  0x00007f36cef16116 in pa_mainloop_poll (m=0x21d7c10) at pulse/mainloop.c:879
#3  0x00007f36cef16749 in pa_mainloop_iterate (m=0x21d7c10, block=<value optimized out>, retval=0x0) at pulse/mainloop.c:961
#4  0x00007f36cef16800 in pa_mainloop_run (m=0x21d7c10, retval=0x0) at pulse/mainloop.c:979
#5  0x00007f36cef242df in thread (userdata=<value optimized out>) at pulse/thread-mainloop.c:94
#6  0x00007f36ca6d7a88 in internal_thread_func (userdata=0x2174530) at pulsecore/thread-posix.c:83
#7  0x00007f36c98db853 in ?? () from /usr/lib/nvidia-current/libGL.so.1
#8  0x00007f36d3113d8c in start_thread (arg=0x7f36b8080700) at pthread_create.c:304
#9  0x00007f36d765604d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f36dac3a860 (LWP 5322)):
[KCrash Handler]
#6  0x00007f36d9c2254a in CoverFetchArtPayload::prepareLastFmUrls (this=0x243c220, xml=...) at ../../src/covermanager/CoverFetchUnit.cpp:601
#7  0x00007f36d9c230d3 in CoverFetchArtPayload::prepareUrls (this=0x243c220) at ../../src/covermanager/CoverFetchUnit.cpp:458
#8  0x00007f36d9c17158 in CoverFetchArtPayload::setXml (this=0x243c220, xml=<value optimized out>) at ../../src/covermanager/CoverFetchUnit.cpp:440
#9  0x00007f36d9c16437 in CoverFetchQueue::add (this=0x88d000, album=..., opt=CoverFetch::Automatic, src=<value optimized out>, xml=...) at ../../src/covermanager/CoverFetchQueue.cpp:56
#10 0x00007f36d9c11490 in CoverFetcher::slotResult (this=0x14b5790, url=<value optimized out>, data=..., e=<value optimized out>) at ../../src/covermanager/CoverFetcher.cpp:202
#11 0x00007f36d9c11dc1 in CoverFetcher::qt_metacall (this=0x14b5790, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0x7fff49ce9fb0) at ./CoverFetcher.moc:92
#12 0x00007f36d7f83f4b in QMetaMethod::invoke (this=0x7fff49cea280, object=0x14b5790, connectionType=Qt::DirectConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1578
#13 0x00007f36d99efd4b in invoke (this=0x141a3a0) at /usr/include/qt4/QtCore/qmetaobject.h:119
#14 NetworkAccessManagerProxy::NetworkAccessManagerProxyPrivate::_replyFinished (this=0x141a3a0) at ../../src/network/NetworkAccessManagerProxy.cpp:98
#15 0x00007f36d99ee8ca in NetworkAccessManagerProxy::qt_metacall (this=0x14ec040, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff49cea580) at ./NetworkAccessManagerProxy.moc:86
#16 0x00007f36d7f905f8 in QMetaObject::activate (sender=0x21fa150, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#17 0x00007f36d5675a2b in KDEPrivate::AccessManagerReply::slotResult (this=0x21fa150, kJob=0x2427620) at ../../kio/kio/accessmanagerreply_p.cpp:302
#18 0x00007f36d5676513 in KDEPrivate::AccessManagerReply::qt_metacall (this=0x21fa150, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff49ceaa20) at ./accessmanagerreply_p.moc:83
#19 0x00007f36d7f905f8 in QMetaObject::activate (sender=0x2427620, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff49ceaa20) at kernel/qobject.cpp:3287
#20 0x00007f36d83e7d32 in KJob::result (this=<value optimized out>, _t1=0x2427620) at ./kjob.moc:194
#21 0x00007f36d83e7d70 in KJob::emitResult (this=0x2427620) at ../../kdecore/jobs/kjob.cpp:312
#22 0x00007f36d56adc9b in KIO::SimpleJob::slotFinished (this=0x2427620) at ../../kio/kio/job.cpp:525
#23 0x00007f36d56b3122 in KIO::TransferJob::slotFinished (this=0x2427620) at ../../kio/kio/job.cpp:1118
#24 0x00007f36d56b7421 in KIO::TransferJob::qt_metacall (this=0x2427620, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff49ceae20) at ./jobclasses.moc:367
#25 0x00007f36d7f905f8 in QMetaObject::activate (sender=0x1de1740, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#26 0x00007f36d5754531 in KIO::SlaveInterface::dispatch (this=<value optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:173
#27 0x00007f36d57514b5 in KIO::SlaveInterface::dispatch (this=0x1de1740) at ../../kio/kio/slaveinterface.cpp:89
#28 0x00007f36d5744e8e in KIO::Slave::gotInput (this=0x1de1740) at ../../kio/kio/slave.cpp:348
#29 0x00007f36d57454dc in KIO::Slave::qt_metacall (this=0x1de1740, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff49ceb230) at ./slave.moc:82
#30 0x00007f36d7f905f8 in QMetaObject::activate (sender=0x19c0b70, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#31 0x00007f36d567eff7 in KIO::ConnectionPrivate::dequeue (this=0x1db2ab0) at ../../kio/kio/connection.cpp:82
#32 0x00007f36d567f09d in KIO::Connection::qt_metacall (this=0x19c0b70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x2424b40) at ./connection.moc:79
#33 0x00007f36d7f8f49a in QObject::event (this=0x19c0b70, e=<value optimized out>) at kernel/qobject.cpp:1226
#34 0x00007f36d893a9f4 in QApplicationPrivate::notify_helper (this=0x8a2f40, receiver=0x19c0b70, e=0x2405570) at kernel/qapplication.cpp:4462
#35 0x00007f36d893f3ba in QApplication::notify (this=<value optimized out>, receiver=0x19c0b70, e=0x2405570) at kernel/qapplication.cpp:4341
#36 0x00007f36da652866 in KApplication::notify (this=0x7fff49cebc60, receiver=0x19c0b70, event=0x2405570) at ../../kdeui/kernel/kapplication.cpp:311
#37 0x00007f36d7f7b49c in QCoreApplication::notifyInternal (this=0x7fff49cebc60, receiver=0x19c0b70, event=0x2405570) at kernel/qcoreapplication.cpp:731
#38 0x00007f36d7f7ec25 in sendEvent (receiver=0x0, event_type=0, data=0x6f1360) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#39 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x6f1360) at kernel/qcoreapplication.cpp:1372
#40 0x00007f36d7fa6253 in sendPostedEvents (s=0x8a26e0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#41 postEventSourceDispatch (s=0x8a26e0) at kernel/qeventdispatcher_glib.cpp:277
#42 0x00007f36d1d14bcd in g_main_dispatch (context=0x8a2600) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:2440
#43 g_main_context_dispatch (context=0x8a2600) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3013
#44 0x00007f36d1d153a8 in g_main_context_iterate (context=0x8a2600, block=<value optimized out>, dispatch=1, self=<value optimized out>) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3091
#45 0x00007f36d1d15639 in g_main_context_iteration (context=0x8a2600, may_block=1) at /build/buildd/glib2.0-2.28.6/./glib/gmain.c:3154
#46 0x00007f36d7fa63ef in QEventDispatcherGlib::processEvents (this=0x6f0f60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#47 0x00007f36d89e44de in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#48 0x00007f36d7f7a882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#49 0x00007f36d7f7aabc in QEventLoop::exec (this=0x7fff49cebc10, flags=...) at kernel/qeventloop.cpp:201
#50 0x00007f36d7f7eecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#51 0x0000000000409c51 in main (argc=<value optimized out>, argv=<value optimized out>) at ../../src/main.cpp:268

This bug may be a duplicate of or related to bug 263256.

Possible duplicates by query: bug 278315, bug 274785, bug 274276, bug 274224, bug 273841.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-08-05 07:52:03 UTC
Please upgrade, this is already fixed.

*** This bug has been marked as a duplicate of bug 263256 ***